
// importing from D3
import {select,geoPath,json, geoConicConformal, geoAlbersUsa} from 'd3';

function draw(data, divId, projection, w, h) {
//Create SVG element
  var mapSvg = select(divId).append("svg")
  	.attr("width", w)
	  .attr("height", h);

  var path = geoPath()
    .projection(projection);
  
  mapSvg.append("path") 
    .datum(data)
    .attr("d", path)
 // .append('title')
  //	.text(d => 
    .style("stroke", "black")
    .style("fill", "#EA71B0");


function processData(data) {
  var w = 800;
  var h = 400;

  // just use the main US projection
  var projectionTown = geoConicConformal()
 		.parallels([41 + 43/60, 42 + 41/60])
    .rotate([71 + 1/2, -41])
    .fitExtent([[20,20],[w-40,h-40]], data)

  // MA state plane projection

  draw(data, "#map", projectionTown, w, h);
}

json("https://gist.githubusercontent.com/dakoop/69c31771a040f8be86d73e7b31de6528/raw/daf94ffbe5ff7740cd92e4f5691a33b05a4ecc1b/ma-towns.json")
  .then(processData);
